POST api/NTMedical/PostInjuryDetail
Request Information
URI Parameters
None.
Body Parameters
InjuryDetailDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| MedicalId | integer |
None. |
|
| InjuryNatureId | integer |
None. |
|
| InjuryNatureName | string |
String length: inclusive between 0 and 100 |
|
| CauseOfIncidentId | integer |
None. |
|
| CauseOfIncidentName | string |
String length: inclusive between 0 and 50 |
|
| InjuryDetail_InjuryAreaList | Collection of InjuryDetail_InjuryAreaDTO |
None. |
|
| CombinedInjuryArea | string |
String length: inclusive between 0 and 4000 |
|
| CombinedInjuryAreaRegion | string |
String length: inclusive between 0 and 4000 |
|
| NCCICode | string |
String length: inclusive between 0 and 50 |
|
| CauseOfIncidentNCCICode | string |
String length: inclusive between 0 and 50 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"MedicalId": 1,
"InjuryNatureId": 1,
"InjuryNatureName": "sample string 2",
"CauseOfIncidentId": 1,
"CauseOfIncidentName": "sample string 3",
"InjuryDetail_InjuryAreaList": [
{
"Id": 1,
"InjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:21:43.3964898-07:00",
"DateUpdated": "2026-08-04T02:21:43.3964898-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
{
"Id": 1,
"InjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:21:43.3964898-07:00",
"DateUpdated": "2026-08-04T02:21:43.3964898-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
],
"CombinedInjuryArea": "sample string 4",
"CombinedInjuryAreaRegion": "sample string 5",
"NCCICode": "sample string 6",
"CauseOfIncidentNCCICode": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:21:43.3964898-07:00",
"DateUpdated": "2026-08-04T02:21:43.3964898-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfInjuryDetailDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | InjuryDetailDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"MedicalId": 1,
"InjuryNatureId": 1,
"InjuryNatureName": "sample string 2",
"CauseOfIncidentId": 1,
"CauseOfIncidentName": "sample string 3",
"InjuryDetail_InjuryAreaList": [
{
"Id": 1,
"InjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:21:43.3964898-07:00",
"DateUpdated": "2026-08-04T02:21:43.3964898-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
{
"Id": 1,
"InjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:21:43.3964898-07:00",
"DateUpdated": "2026-08-04T02:21:43.3964898-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
],
"CombinedInjuryArea": "sample string 4",
"CombinedInjuryAreaRegion": "sample string 5",
"NCCICode": "sample string 6",
"CauseOfIncidentNCCICode": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:21:43.3964898-07:00",
"DateUpdated": "2026-08-04T02:21:43.3964898-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
},
"totalCount": 3
}